#ifndef SCRIPTING_H
#define SCRIPTING_H

extern class asIScriptEngine *g_scriptEngine;

bool registerScriptStuff();
void cleanupScriptStuff();

//called from script into application
void scheduleEvent(int eventId, float timeAheadSeconds);
void narrate(int actorId, int msgType, const string &s, float timeoutSeconds);
void destroyJoint(const string &s);
void destroyFixture(const string &s);

//called from application into script
bool runEvent(int actorId, int eventSensorId);

#endif
